Subject: Re: Looking to schedule multiple appointments
From: "Keff Gared. Tadios" <[email-masked]>
To: Release Concierge <[email-masked]>
Cc: release <[email-masked]>
Date: Wed, 5 Apr 2023 08:44:40 -0700 (MST)

Spoke to Rachel. This is already sorted. 

Thanks! 

Keff 

From: "Release Concierge" <[email-masked]> 
To: "release" <[email-masked]> 
Sent: Wednesday, April 5, 2023 11:12:26 PM 
Subject: Fwd: Looking to schedule multiple appointments 

---------- Forwarded message --------- 
From: Rachel Sullivan < [ mailto:[email-masked] | [email-masked] ] > 
Date: Wed, Apr 5, 2023 at 11:06 AM 
Subject: Looking to schedule multiple appointments 
To: < [ mailto:[email-masked] | [email-masked] ] > 

Hello! 
So sorry to bother you! I hope all is well! I am looking to schedule "A Day of Release" for myself and 2 of my girlfriends for either June 24th or June 25th whichever day has availability. Ideally, looking to have our services all at the same time if possible. 

I also left a voicemail but please feel free to reply back if email is easier! 

Looking forward to hearing from you! 

-- 
Rachel Pallotta 
[ mailto:[email-masked] | [email-masked] ] 
508.954.6377